/**
 * Karte für Magische Informatik
 * 
 * @author (Ulrich Kiesmüller) 
 * @version (1.3.1)
 */
public class Karte
{
    // Variablen
    private String farbe;
    private String wert;
    //private Karte next;

    /**
     * Konstruktor - Kartenfarbe und Kartenwert sind jeweils als Zeichenkette anzugeben
     */    
    public Karte(String f, String w)
    {
        // Initialisierung - eine einzelne Karte zeigt als nächste Karte erst einmal auf sich selbst
        farbe = f;
        wert = w;
       // next = this;
    }

    /**
     * Methoden zum Auslesen der Variablenwerte, Setzen des Nachfolgers und Anzeigen der Variablenwerte
     */
    public String gibFarbe()
    {
        return farbe;
    }
    
    public String gibWert()
    {
        return wert;
    }
    
    public void setzeFarbe(String f)
    {
        farbe = f;
    }
    
    public void setzeWert(String w)
    {
        wert = w;
    }
    
    public void zeigen()
    {
        System.out.print(farbe + " " +  wert);
    }
    
}
